package com.example.administrator.zhapp.entity;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.List;

/**
 * Created by Rehome-rjb1 on 2017/7/25.
 */

public class XsDqgzBgListBean {


    /**
     * state : 1
     * msg : 查询成功
     * data : [{"zxid":"ZX00000000792","jhmc":"TEST3","jhms":"","bgid":"41EAA254C44B4800892C3665CB5905C2","bglx":"2","bglxmc":"工作取消","bgms":"安卓测试工作取消0955","bgxgr":"","bgyq":"","bgbc":"","sqr":"111111","sqsj":"2017/7/27 1:59:46","spr":"","spsj":"","status":"0","spyj":""},{"zxid":"ZX00000000792","jhmc":"TEST3","jhms":"","bgid":"782B00D19ADB4296B27C422499548688","bglx":"2","bglxmc":"工作取消","bgms":"安卓测试取消工作0857","bgxgr":"","bgyq":"","bgbc":"","sqr":"111111","sqsj":"2017/7/27 1:19:17","spr":"","spsj":"","status":"0","spyj":""},{"zxid":"ZX00000000792","jhmc":"TEST3","jhms":"","bgid":"EC318094B60446CB923990116ACA7082","bglx":"2","bglxmc":"工作取消","bgms":"变更描述","bgxgr":"","bgyq":"","bgbc":"","sqr":"111111","sqsj":"2017/7/27 1:17:53","spr":"","spsj":"","status":"0","spyj":""},{"zxid":"ZX00000000777","jhmc":"TEST3","jhms":"","bgid":"8935B0D5A2F64F0CAECC98434F525B7D","bglx":"1","bglxmc":"工作延期","bgms":"安卓测试1724","bgxgr":"李XX","bgyq":"2017/7/24 0:00:00","bgbc":"中班","sqr":"111111","sqsj":"2017/7/26 3:28:39","spr":"","spsj":"","status":"0","spyj":""},{"zxid":"ZX00000000738","jhmc":"TEST2","jhms":"","bgid":"53A8E9B472B7444D9C04F030DCA6A8A8","bglx":"1","bglxmc":"工作延期","bgms":"qq2","bgxgr":"qq2","bgyq":"2017/7/24 13:48:07","bgbc":"白班","sqr":"管理员","sqsj":"2017/7/24 13:47:48","spr":"","spsj":"","status":"0","spyj":""},{"zxid":"ZX00000000738","jhmc":"TEST2","jhms":"","bgid":"BDD24B5FE0294058B9BED03EA7E72E4E","bglx":"1","bglxmc":"工作延期","bgms":"变更描述","bgxgr":"相关人","bgyq":"2017/7/25 0:00:00","bgbc":"白班","sqr":"申请人","sqsj":"2017/7/24 11:34:10","spr":"","spsj":"","status":"0","spyj":""}]
     */

    private int state;
    private String msg;
    private List<DataBean> data;

    public int getState() {
        return state;
    }

    public void setState(int state) {
        this.state = state;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    public List<DataBean> getData() {
        return data;
    }

    public void setData(List<DataBean> data) {
        this.data = data;
    }

    public static class DataBean implements Parcelable {
        /**
         * zxid : ZX00000000792
         * jhmc : TEST3
         * jhms :
         * bgid : 41EAA254C44B4800892C3665CB5905C2
         * bglx : 2
         * bglxmc : 工作取消
         * bgms : 安卓测试工作取消0955
         * bgxgr :
         * bgyq :
         * bgbc :
         * sqr : 111111
         * sqsj : 2017/7/27 1:59:46
         * spr :
         * spsj :
         * status : 0
         * spyj :
         */

        private String zxid;
        private String jhmc;
        private String jhms;
        private String bgid;
        private String shqx;
        private String bglx;
        private String bglxmc;
        private String bgms;
        private String bgxgr;
        private String bgyq;
        private String bgbc;
        private String sqr;
        private String sqsj;
        private String spr;
        private String spsj;
        private String status;
        private String spyj;
        private String zxbc;
        private String zxrq;



        public String getZxid() {
            return zxid;
        }

        public void setZxid(String zxid) {
            this.zxid = zxid;
        }

        public String getJhmc() {
            return jhmc;
        }

        public void setJhmc(String jhmc) {
            this.jhmc = jhmc;
        }

        public String getJhms() {
            return jhms;
        }

        public void setJhms(String jhms) {
            this.jhms = jhms;
        }

        public String getBgid() {
            return bgid;
        }

        public void setBgid(String bgid) {
            this.bgid = bgid;
        }

        public String getBglx() {
            return bglx;
        }

        public void setBglx(String bglx) {
            this.bglx = bglx;
        }

        public String getBglxmc() {
            return bglxmc;
        }

        public void setBglxmc(String bglxmc) {
            this.bglxmc = bglxmc;
        }

        public String getBgms() {
            return bgms;
        }

        public void setBgms(String bgms) {
            this.bgms = bgms;
        }

        public String getBgxgr() {
            return bgxgr;
        }

        public void setBgxgr(String bgxgr) {
            this.bgxgr = bgxgr;
        }

        public String getBgyq() {
            return bgyq;
        }

        public void setBgyq(String bgyq) {
            this.bgyq = bgyq;
        }

        public String getBgbc() {
            return bgbc;
        }

        public void setBgbc(String bgbc) {
            this.bgbc = bgbc;
        }

        public String getSqr() {
            return sqr;
        }

        public void setSqr(String sqr) {
            this.sqr = sqr;
        }

        public String getSqsj() {
            return sqsj;
        }

        public void setSqsj(String sqsj) {
            this.sqsj = sqsj;
        }

        public String getSpr() {
            return spr;
        }

        public void setSpr(String spr) {
            this.spr = spr;
        }

        public String getSpsj() {
            return spsj;
        }

        public void setSpsj(String spsj) {
            this.spsj = spsj;
        }

        public String getStatus() {
            return status;
        }

        public void setStatus(String status) {
            this.status = status;
        }

        public String getSpyj() {
            return spyj;
        }

        public void setSpyj(String spyj) {
            this.spyj = spyj;
        }

        public String getShqx() {
            return shqx;
        }

        public void setShqx(String shqx) {
            this.shqx = shqx;
        }

        public String getZxrq() {
            return zxrq;
        }

        public void setZxrq(String zxrq) {
            this.zxrq = zxrq;
        }



        public String getZxbc() {
            return zxbc;
        }

        public void setZxbc(String zxbc) {
            this.zxbc = zxbc;
        }

        public DataBean() {
        }

        @Override
        public int describeContents() {
            return 0;
        }

        @Override
        public void writeToParcel(Parcel dest, int flags) {
            dest.writeString(this.zxid);
            dest.writeString(this.jhmc);
            dest.writeString(this.jhms);
            dest.writeString(this.bgid);
            dest.writeString(this.shqx);
            dest.writeString(this.bglx);
            dest.writeString(this.bglxmc);
            dest.writeString(this.bgms);
            dest.writeString(this.bgxgr);
            dest.writeString(this.bgyq);
            dest.writeString(this.bgbc);
            dest.writeString(this.sqr);
            dest.writeString(this.sqsj);
            dest.writeString(this.spr);
            dest.writeString(this.spsj);
            dest.writeString(this.status);
            dest.writeString(this.spyj);
        }

        protected DataBean(Parcel in) {
            this.zxid = in.readString();
            this.jhmc = in.readString();
            this.jhms = in.readString();
            this.bgid = in.readString();
            this.shqx = in.readString();
            this.bglx = in.readString();
            this.bglxmc = in.readString();
            this.bgms = in.readString();
            this.bgxgr = in.readString();
            this.bgyq = in.readString();
            this.bgbc = in.readString();
            this.sqr = in.readString();
            this.sqsj = in.readString();
            this.spr = in.readString();
            this.spsj = in.readString();
            this.status = in.readString();
            this.spyj = in.readString();
        }

        public static final Creator<DataBean> CREATOR = new Creator<DataBean>() {
            @Override
            public DataBean createFromParcel(Parcel source) {
                return new DataBean(source);
            }

            @Override
            public DataBean[] newArray(int size) {
                return new DataBean[size];
            }
        };
    }
}
